<?php	
add_action( 'admin_enqueue_scripts', 'doxter_widget_plugin_color_picker' );
function doxter_widget_plugin_color_picker( $hook_suffix ) {
    // first check that $hook_suffix is appropriate for your admin page
    wp_enqueue_style( 'wp-color-picker' );
	wp_enqueue_script( 'wp-color-picker' );
}
?>
<div class="wrap doxter-widget-review-button-plugin">
	<script language="JavaScript">
		jQuery(document).ready(function() {
			// COLOR PICKER
			var myOptions = {
			    // you can declare a default color here, or in the data-default-color attribute on the input
			    defaultColor: false,
			    // a callback to fire whenever the color changes to a valid color
			    change: function(event, ui){},
			    // a callback to fire when the input is emptied or an invalid color
			    clear: function() {},
			    // hide the color picker controls on load
			    hide: true,
			    // show a group of common colors beneath the square or, supply an array of colors to customize further
			    palettes: true
			};
			jQuery('.doxter-color-field').wpColorPicker(myOptions);
			
			// ON/OFF SWITCH
			jQuery(".cb-enable").click(function(){
		        var parent = jQuery(this).parents('.switch');
		        jQuery('.cb-disable',parent).removeClass('selected');
		        jQuery(this).addClass('selected');
		        jQuery('.checkbox',parent).attr('checked', true);
		        jQuery('.doxter-settings-extended-wrapper').removeClass('hidden');
		    });
		    jQuery(".cb-disable").click(function(){
		        var parent = jQuery(this).parents('.switch');
		        jQuery('.cb-enable',parent).removeClass('selected');
		        jQuery(this).addClass('selected');
		        jQuery('.checkbox',parent).attr('checked', false);
		        jQuery('.doxter-settings-extended-wrapper').addClass('hidden');
		    });
		});
	</script>
	<div class="doxter-main-header">
	    <a class="doxter-logo" href="https://www.doxter.de/" target="_blank"><img src="<?php echo WP_PLUGIN_URL ?>/doxter-widget/img/doxter-logo-2x.png" /></a>
	    <h2 class="doxter-main-header-h"><?php _e('doxter plugin settings','doxter_plugin_widget') ?></h2>
    </div>
    <form method="post" action="options.php"> 
        <?php 
	        @settings_fields('doxter_widget_plugin_group');
	        @do_settings_fields('doxter_widget_plugin_group');
			$extendedSettings = get_option('doxter_extended');
        ?>
		<div class="doxter-settings">
			<div class="doxter-settings-sub-section">
				<div class="doxter-settings-head">
					<h3><?php _e('doxter widget','doxter_plugin_widget') ?></h3>
					<p><?php _e('Edit the doxter widget color and width/height properties.','doxter_plugin_widget') ?></p>
				</div>
				<div class="doxter-settings-content">
					<table class="form-table">  
					    <tr valign="center">
						   	<th scope="row"><label for="doxter-ID"><?php _e('doxter widget ID','doxter_plugin_widget') ?></label><p>(e.g. 4d7dfd0d768e714f2b000006)</p></th>
					   		<td><input id="doxter-ID" name="doxter_ID" type="text" value="<?php echo get_option('doxter_ID'); ?>" /><p></p>
					    </tr>
					    <tr valign="center">
					        <th scope="row"><label for="doxter-color1"><?php _e('doxter widget appointment dates color picker','doxter_plugin_widget') ?></label></th>
					        <td><input id="doxter-color1" type="text" class="doxter-color-field" data-default-color="#0081B9" name="doxter_color1" value="<?php echo get_option('doxter_color1'); ?>" /></td>
					    </tr>
						<tr valign="center">
					        <th scope="row"><label for="doxter-color2"><?php _e('doxter widget selection fields color picker','doxter_plugin_widget') ?></label></th>
					        <td><input id="doxter-color2" type="text" class="doxter-color-field" data-default-color="#E8E8E8" name="doxter_color2" value="<?php echo get_option('doxter_color2'); ?>" /></td>
					    </tr>
						<tr valign="center">
					        <th scope="row"><label for="doxter-color3"><?php _e('doxter widget background color picker','doxter_plugin_widget') ?></label></th>
					        <td><input id="doxter-color3" type="text" class="doxter-color-field" data-default-color="" name="doxter_color3" value="<?php echo get_option('doxter_color3'); ?>" /></td>
					    </tr>
					    <tr valign="center">
					       	<th scope="row"><label for="doxter-width"><?php _e('doxter widget width (in px or %)','doxter_plugin_widget') ?></label><p>(e.g. 500 / 100%)</p></th>
					       	<td><input id="doxter-width" name="doxter_width" type="text" value="<?php echo get_option('doxter_width'); ?>" /><p></p>
					    </tr>
					    <tr valign="center">
					       	<th scope="row"><label for="doxter-height"><?php _e('doxter widget height (in px)','doxter_plugin_widget') ?></label><p>(e.g. 700)</p></th>
					       	<td><input id="doxter-height" name="doxter_height" type="text" value="<?php echo get_option('doxter_height'); ?>" /><p></p>
					    </tr>
					</table>	
				</div>
			</div>
			<div class="doxter-settings-sub-section">
				<div class="doxter-settings-head">
					<h3><?php _e('doxter review','doxter_plugin_widget') ?></h3>
					<p><?php _e('Edit the doxter review width/height properties.','doxter_plugin_widget') ?></p>
				</div>
				<div class="doxter-settings-content">
					<table class="form-table">  
			            <tr valign="center">
			            	<th scope="row"><label for="doxter-review-width"><?php _e('doxter review width (in px or %)','doxter_plugin_widget') ?></label><p>(e.g. 500 / 100%)</p></th>
			            	<td><input id="doxter-review-width" name="doxter_review_width" type="text" value="<?php echo get_option('doxter_review_width'); ?>" /><p></p>
			            </tr>
			            <tr valign="center">
			            	<th scope="row"><label for="doxter-review-height"><?php _e('doxter review height (in px)','doxter_plugin_widget') ?></label><p>(e.g. 700)</p></th>
			            	<td><input id="doxter-review-height" name="doxter_review_height" type="text" value="<?php echo get_option('doxter_review_height'); ?>" /><p></p>
			            </tr>
			        </table>	
				</div>
			</div>
			<div class="doxter-settings-sub-section">
				<div class="doxter-settings-head">
					<h3><?php _e('doxter button','doxter_plugin_widget') ?></h3>
					<p><?php _e('Edit the doxter button link, text, color and width/height properties.','doxter_plugin_widget') ?></p>
				</div>
				<div class="doxter-settings-content">
					<table class="form-table">  
						<tr valign="center">
			            	<th scope="row"><label for="doxter-link"><?php _e('doxter button link','doxter_plugin_widget') ?></label><p>(e.g. https://www.doxter.de/)</p></th>
			            	<td><input id="doxter-link" name="doxter_link" type="text" value="<?php echo get_option('doxter_link'); ?>" /><p></p>
			            </tr>
			            <tr valign="center">
			            	<th scope="row"><label for="doxter-button-text"><?php _e('doxter button text','doxter_plugin_widget') ?></label><p>(e.g. Online-Termin buchen)</p></th>
			            	<td><input id="doxter-button-text" name="doxter_button_text" type="text" value="<?php echo get_option('doxter_button_text'); ?>" /><p></p>
			            </tr>
			            <tr valign="center">
			                <th scope="row"><label for="doxter-button-text-color"><?php _e('doxter button text color picker','doxter_plugin_widget') ?></label></th>
			                <td><input id="doxter-button-text-color" type="text" class="doxter-color-field" data-default-color="#FFFFFF" name="doxter_button_text_color" value="<?php echo get_option('doxter_button_text_color'); ?>" /></td>
			            </tr>
						<tr valign="center">
			                <th scope="row"><label for="doxter-button-color"><?php _e('doxter button background color picker','doxter_plugin_widget') ?></label></th>
			                <td><input id="doxter-button-color" type="text" class="doxter-color-field" data-default-color="#0081b9" name="doxter_button_color" value="<?php echo get_option('doxter_button_color'); ?>" /></td>
			            </tr>
			            <tr valign="center">
			            	<th scope="row"><label for="doxter-button-width"><?php _e('doxter button width (in px)','doxter_plugin_widget') ?></label><p>(e.g. 180)</p></th>
			            	<td><input id="doxter-button-width" name="doxter_button_width" type="text" value="<?php echo get_option('doxter_button_width'); ?>" /><p></p>
			            </tr>
			            <tr valign="center">
			            	<th scope="row"><label for="doxter-button-height"><?php _e('doxter button height (in px)','doxter_plugin_widget') ?></label><p>(e.g. 26)</p></th>
			            	<td><input id="doxter-button-height" name="doxter_button_height" type="text" value="<?php echo get_option('doxter_button_height'); ?>" /><p></p>
			            </tr>
			        </table>	
				</div>
			</div>
			<div class="doxter-settings-sub-section">
		        <div class="doxter-settings-head">
					<h3><?php _e('Add more than one widget/review','doxter_plugin_widget') ?></h3>
					<p><?php _e('Activate if you want to add more than one doxter widget/review on your page.','doxter_plugin_widget') ?></p>
				</div>
	        	<div class="doxter-settings-content">
					<p class="field switch">
					<?php
					$extendedClass = "";
				    if ($extendedSettings == 1){
				    	$extendedClass = "";
				    	$html = '<input type="radio" id="radio1" name="doxter_extended" value="1"' . checked( 1, $extendedSettings, false ) . '/>';
						$html .= '&nbsp;';
						$html .= '<label for="radio1" class="cb-enable selected"><span>On</span></label>';
						$html .= '&nbsp;';
						$html .= '<input type="radio" id="radio2" name="doxter_extended" value="2"' . checked( 2, $extendedSettings, false ) . '/>';
						$html .= '&nbsp;';
						$html .= '<label for="radio2" class="cb-disable"><span>Off</span></label>';
						echo $html;
				    }
					else {
						$extendedClass = "hidden";
						$html = '<input type="radio" id="radio1" name="doxter_extended" value="1"' . checked( 1, $extendedSettings, false ) . '/>';
						$html .= '&nbsp;';
						$html .= '<label for="radio1" class="cb-enable"><span>On</span></label>';
						$html .= '&nbsp;';
						$html .= '<input type="radio" id="radio2" name="doxter_extended" value="2"' . checked( 2, $extendedSettings, false ) . '/>';
						$html .= '&nbsp;';
						$html .= '<label for="radio2" class="cb-disable selected"><span>Off</span></label>';
						echo $html;
					}
				    ?>
					</p>
				</div>
			</div>
			<div class="doxter-settings-extended-wrapper <?php echo $extendedClass; ?>">
	        	<div class="doxter-settings-sub-section">
					<div class="doxter-settings-head">
						<h3><?php _e('doxter widget 2','doxter_plugin_widget') ?></h3>
						<p><?php _e('Edit the doxter widget 2 color and width/height properties.','doxter_plugin_widget') ?></p>
					</div>
					<div class="doxter-settings-content">
						<table class="form-table">  
				            <tr valign="center">
				            	<th scope="row"><label for="doxter-ID-2"><?php _e('doxter widget 2 ID','doxter_plugin_widget') ?></label><p>(e.g. 4d7dfd0d768e714f2b000006)</p></th>
				            	<td><input id="doxter-ID-2" name="doxter_ID_2" type="text" value="<?php echo get_option('doxter_ID_2'); ?>" /><p></p>
				            </tr>
				            <tr valign="center">
				                <th scope="row"><label for="doxter-color1-2"><?php _e('doxter widget 2 appointment dates color picker','doxter_plugin_widget') ?></label></th>
				                <td><input id="doxter-color1-2" type="text" class="doxter-color-field" data-default-color="#0081B9" name="doxter_color1_2" value="<?php echo get_option('doxter_color1_2'); ?>" /></td>
				            </tr>
							<tr valign="center">
				                <th scope="row"><label for="doxter-color2-2"><?php _e('doxter widget 2 selection fields color picker','doxter_plugin_widget') ?></label></th>
				                <td><input id="doxter-color2-2" type="text" class="doxter-color-field" data-default-color="#E8E8E8" name="doxter_color2_2" value="<?php echo get_option('doxter_color2_2'); ?>" /></td>
				            </tr>
							<tr valign="center">
				                <th scope="row"><label for="doxter-color3-2"><?php _e('doxter widget 2 background color picker','doxter_plugin_widget') ?></label></th>
				                <td><input id="doxter-color3-2" type="text" class="doxter-color-field" data-default-color="" name="doxter_color3_2" value="<?php echo get_option('doxter_color3_2'); ?>" /></td>
				            </tr>
				            <tr valign="center">
				            	<th scope="row"><label for="doxter-width-2"><?php _e('doxter widget 2 width (in px or %)','doxter_plugin_widget') ?></label><p>(e.g. 500 / 100%)</p></th>
				            	<td><input id="doxter-width-2" name="doxter_width_2" type="text" value="<?php echo get_option('doxter_width_2'); ?>" /><p></p>
				            </tr>
				            <tr valign="center">
				            	<th scope="row"><label for="doxter-height-2"><?php _e('doxter widget 2 height (in px)','doxter_plugin_widget') ?></label><p>(e.g. 700)</p></th>
				            	<td><input id="doxter-height-2" name="doxter_height_2" type="text" value="<?php echo get_option('doxter_height_2'); ?>" /><p></p>
				            </tr>
				        </table>	
					</div>
				</div>
				<div class="doxter-settings-sub-section">
					<div class="doxter-settings-head">
						<h3><?php _e('doxter widget 2 review','doxter_plugin_widget') ?></h3>
						<p><?php _e('Edit the doxter widget 2 review width/height properties.','doxter_plugin_widget') ?></p>
					</div>
					<div class="doxter-settings-content">
						<table class="form-table">  
				            <tr valign="center">
				            	<th scope="row"><label for="doxter-review-width-2"><?php _e('doxter widget 2 review width (in px or %)','doxter_plugin_widget') ?></label><p>(e.g. 500 / 100%)</p></th>
				            	<td><input id="doxter-review-width-2" name="doxter_review_width_2" type="text" value="<?php echo get_option('doxter_review_width_2'); ?>" /><p></p>
				            </tr>
				            <tr valign="center">
				            	<th scope="row"><label for="doxter-review-height-2"><?php _e('doxter widget 2 review height (in px)','doxter_plugin_widget') ?></label><p>(e.g. 700)</p></th>
				            	<td><input id="doxter-review-height-2" name="doxter_review_height_2" type="text" value="<?php echo get_option('doxter_review_height_2'); ?>" /><p></p>
				            </tr>
				        </table>	
					</div>
				</div>
	    	    <div class="doxter-settings-sub-section">
					<div class="doxter-settings-head">
						<h3><?php _e('doxter widget 3','doxter_plugin_widget') ?></h3>
						<p><?php _e('Edit the doxter widget 3 color and width/height properties.','doxter_plugin_widget') ?></p>
					</div>
					<div class="doxter-settings-content">
						<table class="form-table">  
				            <tr valign="center">
				            	<th scope="row"><label for="doxter-ID-3"><?php _e('doxter widget 3 ID','doxter_plugin_widget') ?></label><p>(e.g. 4d7dfd0d768e714f2b000006)</p></th>
				            	<td><input id="doxter-ID-3" name="doxter_ID_3" type="text" value="<?php echo get_option('doxter_ID_3'); ?>" /><p></p>
				            </tr>
				            <tr valign="center">
				                <th scope="row"><label for="doxter-color1-3"><?php _e('doxter widget 3 appointment dates color picker','doxter_plugin_widget') ?></label></th>
				                <td><input id="doxter-color1-3" type="text" class="doxter-color-field" data-default-color="#0081B9" name="doxter_color1_3" value="<?php echo get_option('doxter_color1_3'); ?>" /></td>
				            </tr>
							<tr valign="center">
				                <th scope="row"><label for="doxter-color2-3"><?php _e('doxter widget 3 selection fields color picker','doxter_plugin_widget') ?></label></th>
				                <td><input id="doxter-color2-3" type="text" class="doxter-color-field" data-default-color="#E8E8E8" name="doxter_color2_3" value="<?php echo get_option('doxter_color2_3'); ?>" /></td>
				            </tr>
							<tr valign="center">
				                <th scope="row"><label for="doxter-color3-3"><?php _e('doxter widget 3 background color picker','doxter_plugin_widget') ?></label></th>
				                <td><input id="doxter-color3-3" type="text" class="doxter-color-field" data-default-color="" name="doxter_color3_3" value="<?php echo get_option('doxter_color3_3'); ?>" /></td>
				            </tr>
				            <tr valign="center">
				            	<th scope="row"><label for="doxter-width-3"><?php _e('doxter widget 3 width (in px or %)','doxter_plugin_widget') ?></label><p>(e.g. 500 / 100%)</p></th>
				            	<td><input id="doxter-width-3" name="doxter_width_3" type="text" value="<?php echo get_option('doxter_width_3'); ?>" /><p></p>
				            </tr>
				            <tr valign="center">
				            	<th scope="row"><label for="doxter-height-3"><?php _e('doxter widget 3 height (in px)','doxter_plugin_widget') ?></label><p>(e.g. 700)</p></th>
				            	<td><input id="doxter-height-3" name="doxter_height_3" type="text" value="<?php echo get_option('doxter_height_3'); ?>" /><p></p>
				            </tr>
				        </table>	
					</div>
				</div>
				<div class="doxter-settings-sub-section">
					<div class="doxter-settings-head">
						<h3><?php _e('doxter widget 3 review','doxter_plugin_widget') ?></h3>
						<p><?php _e('Edit the doxter widget 3 review width/height properties.','doxter_plugin_widget') ?></p>
					</div>
					<div class="doxter-settings-content">
						<table class="form-table">  
				            <tr valign="center">
				            	<th scope="row"><label for="doxter-review-width-3"><?php _e('doxter widget 3 Review width (in px or %)','doxter_plugin_widget') ?></label><p>(e.g. 500 / 100%)</p></th>
				            	<td><input id="doxter-review-width-3" name="doxter_review_width_3" type="text" value="<?php echo get_option('doxter_review_width_3'); ?>" /><p></p>
				            </tr>
				            <tr valign="center">
				            	<th scope="row"><label for="doxter-review-height-3"><?php _e('doxter widget 3 Review height (in px)','doxter_plugin_widget') ?></label><p>(e.g. 700)</p></th>
				            	<td><input id="doxter-review-height-3" name="doxter_review_height_3" type="text" value="<?php echo get_option('doxter_review_height_3'); ?>" /><p></p>
				            </tr>
				        </table>	
					</div>
				</div>
	        	<div class="doxter-settings-sub-section">
					<div class="doxter-settings-head">
						<h3><?php _e('doxter widget 4','doxter_plugin_widget') ?></h3>
						<p><?php _e('Edit the doxter widget 4 color and width/height properties.','doxter_plugin_widget') ?></p>
					</div>
					<div class="doxter-settings-content">
						<table class="form-table">  
				            <tr valign="center">
				            	<th scope="row"><label for="doxter-ID-4"><?php _e('doxter widget 4 ID','doxter_plugin_widget') ?></label><p>(e.g. 4d7dfd0d768e714f2b000006)</p></th>
				            	<td><input id="doxter-ID-4" name="doxter_ID_4" type="text" value="<?php echo get_option('doxter_ID_4'); ?>" /><p></p>
				            </tr>
				            <tr valign="center">
				                <th scope="row"><label for="doxter-color1-4"><?php _e('doxter widget 4 appointment dates color picker','doxter_plugin_widget') ?></label></th>
				                <td><input id="doxter-color1-4" type="text" class="doxter-color-field" data-default-color="#0081B9" name="doxter_color1_4" value="<?php echo get_option('doxter_color1_4'); ?>" /></td>
				            </tr>
							<tr valign="center">
				                <th scope="row"><label for="doxter-color2-4"><?php _e('doxter widget 4 selection fields color picker','doxter_plugin_widget') ?></label></th>
				                <td><input id="doxter-color2-4" type="text" class="doxter-color-field" data-default-color="#E8E8E8" name="doxter_color2_4" value="<?php echo get_option('doxter_color2_4'); ?>" /></td>
				            </tr>
							<tr valign="center">
				                <th scope="row"><label for="doxter-color3-4"><?php _e('doxter widget 4 background color picker','doxter_plugin_widget') ?></label></th>
				                <td><input id="doxter-color3-4" type="text" class="doxter-color-field" data-default-color="" name="doxter_color3_4" value="<?php echo get_option('doxter_color3_4'); ?>" /></td>
				            </tr>
				            <tr valign="center">
				            	<th scope="row"><label for="doxter-width-4"><?php _e('doxter widget 4 width (in px or %)','doxter_plugin_widget') ?></label><p>(e.g. 500 / 100%)</p></th>
				            	<td><input id="doxter-width-4" name="doxter_width_4" type="text" value="<?php echo get_option('doxter_width_4'); ?>" /><p></p>
				            </tr>
				            <tr valign="center">
				            	<th scope="row"><label for="doxter-height-4"><?php _e('doxter widget 4 height (in px)','doxter_plugin_widget') ?></label><p>(e.g. 700)</p></th>
				            	<td><input id="doxter-height-4" name="doxter_height_4" type="text" value="<?php echo get_option('doxter_height_4'); ?>" /><p></p>
				            </tr>
				        </table>	
					</div>
				</div>
				<div class="doxter-settings-sub-section">
					<div class="doxter-settings-head">
						<h3><?php _e('doxter widget 4 review','doxter_plugin_widget') ?></h3>
						<p><?php _e('Edit the doxter widget 4 review width/height properties.','doxter_plugin_widget') ?></p>
					</div>
					<div class="doxter-settings-content">
						<table class="form-table">  
				            <tr valign="center">
				            	<th scope="row"><label for="doxter-review-width-4"><?php _e('doxter widget 4 review width (in px or %)','doxter_plugin_widget') ?></label><p>(e.g. 500 / 100%)</p></th>
				            	<td><input id="doxter-review-width-4" name="doxter_review_width_4" type="text" value="<?php echo get_option('doxter_review_width_4'); ?>" /><p></p>
				            </tr>
				            <tr valign="center">
				            	<th scope="row"><label for="doxter-review-height-4"><?php _e('doxter widget 4 review height (in px)','doxter_plugin_widget') ?></label><p>(e.g. 700)</p></th>
				            	<td><input id="doxter-review-height-4" name="doxter_review_height_4" type="text" value="<?php echo get_option('doxter_review_height_4'); ?>" /><p></p>
				            </tr>
				        </table>	
					</div>
				</div>
	        	<div class="doxter-settings-sub-section">
					<div class="doxter-settings-head">
						<h3><?php _e('doxter widget 5','doxter_plugin_widget') ?></h3>
						<p><?php _e('Edit the doxter widget 5 color and width/height properties.','doxter_plugin_widget') ?></p>
					</div>
					<div class="doxter-settings-content">
						<table class="form-table">  
				            <tr valign="center">
				            	<th scope="row"><label for="doxter-ID-5"><?php _e('doxter widget 5 ID','doxter_plugin_widget') ?></label><p>(e.g. 4d7dfd0d768e714f2b000006)</p></th>
				            	<td><input id="doxter-ID-5" name="doxter_ID_5" type="text" value="<?php echo get_option('doxter_ID_5'); ?>" /><p></p>
				            </tr>
				            <tr valign="center">
				                <th scope="row"><label for="doxter-color1-5"><?php _e('doxter widget 5 appointment dates color picker','doxter_plugin_widget') ?></label></th>
				                <td><input id="doxter-color1-5" type="text" class="doxter-color-field" data-default-color="#0081B9" name="doxter_color1_5" value="<?php echo get_option('doxter_color1_5'); ?>" /></td>
				            </tr>
							<tr valign="center">
				                <th scope="row"><label for="doxter-color2-5"><?php _e('doxter widget 5 selection fields color picker','doxter_plugin_widget') ?></label></th>
				                <td><input id="doxter-color2-5" type="text" class="doxter-color-field" data-default-color="#E8E8E8" name="doxter_color2_5" value="<?php echo get_option('doxter_color2_5'); ?>" /></td>
				            </tr>
							<tr valign="center">
				                <th scope="row"><label for="doxter-color3-5"><?php _e('doxter widget 5 background color picker','doxter_plugin_widget') ?></label></th>
				                <td><input id="doxter-color3-5" type="text" class="doxter-color-field" data-default-color="" name="doxter_color3_5" value="<?php echo get_option('doxter_color3_5'); ?>" /></td>
				            </tr>
				            <tr valign="center">
				            	<th scope="row"><label for="doxter-width-5"><?php _e('doxter widget 5 width (in px or %)','doxter_plugin_widget') ?></label><p>(e.g. 500 / 100%)</p></th>
				            	<td><input id="doxter-width-5" name="doxter_width_5" type="text" value="<?php echo get_option('doxter_width_5'); ?>" /><p></p>
				            </tr>
				            <tr valign="center">
				            	<th scope="row"><label for="doxter-height-5"><?php _e('doxter widget 5 height (in px)','doxter_plugin_widget') ?></label><p>(e.g. 700)</p></th>
				            	<td><input id="doxter-height-5" name="doxter_height_5" type="text" value="<?php echo get_option('doxter_height_5'); ?>" /><p></p>
				            </tr>
				        </table>	
					</div>
				</div>
				<div class="doxter-settings-sub-section">
					<div class="doxter-settings-head">
						<h3><?php _e('doxter widget 5 review','doxter_plugin_widget') ?></h3>
						<p><?php _e('Edit the doxter widget 5 review width/height properties.','doxter_plugin_widget') ?></p>
					</div>
					<div class="doxter-settings-content">
						<table class="form-table">  
				            <tr valign="center">
				            	<th scope="row"><label for="doxter-review-width-5"><?php _e('doxter widget 5 review width (in px or %)','doxter_plugin_widget') ?></label><p>(e.g. 500 / 100%)</p></th>
				            	<td><input id="doxter-review-width-5" name="doxter_review_width_5" type="text" value="<?php echo get_option('doxter_review_width_5'); ?>" /><p></p>
				            </tr>
				            <tr valign="center">
				            	<th scope="row"><label for="doxter-review-height-5"><?php _e('doxter widget 5 review height (in px)','doxter_plugin_widget') ?></label><p>(e.g. 700)</p></th>
				            	<td><input id="doxter-review-height-5" name="doxter_review_height_5" type="text" value="<?php echo get_option('doxter_review_height_5'); ?>" /><p></p>
				            </tr>
				        </table>	
					</div>
				</div>
			</div>
			<?php submit_button(); ?>
		</div>
    </form>
</div>
